---
lang: en
title: 'API docs: repository.ensurepromise'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.ensurepromise.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ensurePromise](./repository.ensurepromise.md)

## ensurePromise() function

Ensure the value is a promise

<b>Signature:</b>

```typescript
export declare function ensurePromise<T>(p: legacy.PromiseOrVoid<T>): Promise<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  p | <code>legacy.PromiseOrVoid&lt;T&gt;</code> | Promise or void |

<b>Returns:</b>

`Promise<T>`


